@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* Grundsätzliche CSS-Gestaltung */
body {
  font-family: 'Roboto';
  font-weight: 400;
  margin: 0px;
}

details {
  margin-bottom: 20px;
  margin-top: 10px;
}

.tothetop {
  margin-top: 20px;
  text-align: center;
  background-color: #336bb3;
  padding: 5px;
  width: 10%;
  border-radius: 10px;
}

.tothetop a {
  color: white;
}

ul {
  padding-left: 0px;
}

li {
  list-style: none;
  margin-bottom: 25px;
}


.overview {
  display: flex;
  flex-direction: column;
  background-color: #9cb5a2;
  color: white;
  padding-left: 20px;
  padding-right: 20px;
}

.overview h2 {
  color: white;
  margin-top: 25px;
}

section {
  border-bottom: 1.5px solid black;
}

/* Überschrift & Lead */
h1 {
  font-size: 4.5rem;
  margin-bottom: 0px;
  font-weight: 900;
}

h2 {
  font-size: 3rem;
  font-weight: 900;
  line-height: 150%;
  margin-bottom: 5px;
  color: #336bb3;
}

h3 {
  color: #336bb3;
  margin-bottom: -10px;
  font-size: 1.4rem;
}

h4 {
  color: #336bb3;
  font-weight: 900;
  margin-top: 5px;
  font-size: 1rem;
}

img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

#animation {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 70%;
}

#FussTeller {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 35%;
}

#Andriu img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 35%;
  border-radius: 50%;
}

#AboutMe {
  width: 30%;
  margin: auto;
  margin-top: 50px;
  margin-bottom: 50px;
}

#Diagram {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 70%;
}


.content-header {
  background-color: #4b92a4;
  color: #FFFFFF;
  padding-bottom: 15px;
  height: 100%;
}

.content-head{
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  text-align: center;
}

.lead {
  font-size: 1.8rem;
  font-weight: 700;
  text-align: center;
  margin-left: 50px;
  margin-right: 50px;
  margin-bottom: 0px;
}



/* Lauftext */
.site-main {
  line-height: 150%;
}


.lauftext {
  width: 60%;
  margin: auto;
  margin-top: 50px;
  margin-bottom: 50px;
}


.site-footer-content{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 60%;
  margin: auto;
  padding: 20px 0px;
  line-height: 150%;
}

.site-footer {
  background-color: #4b92a4;
  color: white;
}

.site-footer h3 {
  color: white;
}

a {
  color: white;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

/* CSS Tablet hoch / mobile */
@media screen and (min-width: 768px) and (max-width: 1024px) {
 /*h1 {
    font-size: 3.2rem;
  }*/
  img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
  }

  h2 {
    font-size: 1.7rem;
  }

  .lead {
    font-size: 1.4rem;
  }
}


/* CSS mobile only */
@media screen and (max-width: 768px) {
  .site-nav {
    line-height: 200%;
    margin: 5px 12px;
    font-size: 1.2rem;
    }

  img {
      display: block;
      margin-left: auto;
      margin-right: auto;
      width: 100%;
	  }
	
	#FussTeller {
	align-self: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
	
	#animation {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
 
	  #Andriu img {
      display: block;
      margin-left: auto;
      margin-right: auto;
      width: 80%;
      border-radius: 50%;
    }

    #AboutMe {
      width: 80%;
      margin: auto;
      margin-top: 50px;
      margin-bottom: 50px;
    }

    #Diagram {
      display: block;
      margin-left: auto;
      margin-right: auto;
      width: 100%;
    }

  h1 {
     font-size: 3.0rem;
   }

   h2 {
     font-size: 2rem;
   }

   h4 {
       font-size: 1.2rem;
  }

   h5 {
     margin-top: 5px;
   }

  .lauftext {
    width: 75%;
  }

  .lead {
    font-size: 1.2rem;
    margin-top: 5px;
    margin-left: 15px;
    margin-right: 15px;
  }

  .content-header {
    height: 100%;
  }

  .site-footer-content{
    width: 75%;
  }

  li:first-child {
    margin-bottom: 25px;
  }

  li {
    margin-bottom: 35px;
  }

  .tothetop {
    width: 35%;
  }

  .site-nav-list {
    line-height: 125%;
  }

  .content-header p {
    padding-left: 15px;
    padding-right: 15px;
  }
}
